# Uses of Class
org.eclipse.jface.viewers.CellEditor.LayoutData

Packages that use CellEditor.LayoutData
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of CellEditor.LayoutData in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return CellEditor.LayoutData
Modifier and Type
Method
Description
`CellEditor.LayoutData`
CellEditor.`getLayoutData()`
Returns a layout data object for this cell editor.
`CellEditor.LayoutData`
ComboBoxCellEditor.`getLayoutData()`
The `ComboBoxCellEditor` implementation of this `CellEditor` framework method sets the minimum width of the cell.
`CellEditor.LayoutData`
ComboBoxViewerCellEditor.`getLayoutData()`
The `ComboBoxCellEditor` implementation of this `CellEditor` framework method sets the minimum width of the cell.
`CellEditor.LayoutData`
TextCellEditor.`getLayoutData()`
Since a text editor field is scrollable we don't set a minimumSize.
Methods in org.eclipse.jface.viewers with parameters of type CellEditor.LayoutData
Modifier and Type
Method
Description
`protected abstract void`
ColumnViewerEditor.`setLayoutData(CellEditor.LayoutData layoutData)`
set the layout data for the editor
`protected void`
TableViewerEditor.`setLayoutData(CellEditor.LayoutData layoutData)`
`protected void`
TreeViewerEditor.`setLayoutData(CellEditor.LayoutData layoutData)`